All threads / Help please! Error starting Rails server

Ask A Question

Notifications

You’re not receiving notifications from this thread.

Help please! Error starting Rails server

FSirju asked in Rails

Hey guys. I am new to Rails. I have installed Rails 5.2.3. I have Ruby 2.6.3. Both are confirmed to be operational when running the --version command.
I have tried to create a new rails app called "blog" with rails new blog.
I cd into the directory blog
I did bundle install
Everything works well so far but when I try to start r=the rails server with "rails server" I get an error. The server does not start and it exits. See output from terminal below.

Matrixs-MBP:blog matrix$ rails server
=> Booting Puma
=> Rails 5.2.3 application starting in development
=> Run rails server -h for more startup options
Exiting
Traceback (most recent call last):
94: from bin/rails:3:in <main>'
93: from bin/rails:3:in
load'
92: from /Users/matrix/blog/bin/spring:15:in <top (required)>'
91: from /Users/matrix/blog/bin/spring:15:in
require'
90: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/spring-2.0.2/lib/spring/binstub.rb:31:in <top (required)>'
89: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/spring-2.0.2/lib/spring/binstub.rb:31:in
load'
88: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/spring-2.0.2/bin/spring:49:in <top (required)>'
87: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/spring-2.0.2/lib/spring/client.rb:30:in
run'
86: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/spring-2.0.2/lib/spring/client/command.rb:7:in call'
85: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/spring-2.0.2/lib/spring/client/rails.rb:28:in
call'
84: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/spring-2.0.2/lib/spring/client/rails.rb:28:in load'
83: from /Users/matrix/blog/bin/rails:9:in
'
82: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in require'
81: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:257:in
loaddependency'
80: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in block in require'
79: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:30:in
require'
78: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:21:in requirewithbootsnaplfi'
77: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/loadedfeaturesindex.rb:92:in
register'
76: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in block in requirewithbootsnaplfi'
75: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in
require'
74: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/commands.rb:18:in <main>'
73: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/command.rb:46:in
invoke'
72: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/command/base.rb:65:in perform'
71: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/thor-0.20.3/lib/thor.rb:387:in
dispatch'
70: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/thor-0.20.3/lib/thor/invocation.rb:126:in invokecommand'
69: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/thor-0.20.3/lib/thor/command.rb:27:in
run'
68: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/commands/server/servercommand.rb:142:in perform'
67: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/commands/server/servercommand.rb:142:in
tap'
66: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/commands/server/servercommand.rb:147:in block in perform'
65: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/commands/server/servercommand.rb:51:in
start'
64: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/commands/server/servercommand.rb:89:in logtostdout'
63: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/rack-2.0.7/lib/rack/server.rb:354:in
wrappedapp'
62: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/commands/server/servercommand.rb:27:in app'
61: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/rack-2.0.7/lib/rack/server.rb:219:in
app'
60: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/rack-2.0.7/lib/rack/server.rb:319:in buildappandoptionsfromconfig'
59: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/rack-2.0.7/lib/rack/builder.rb:40:in
parsefile'
58: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/rack-2.0.7/lib/rack/builder.rb:49:in newfromstring'
57: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/rack-2.0.7/lib/rack/builder.rb:49:in
eval'
56: from config.ru:in <main>'
55: from config.ru:in
new'
54: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/rack-2.0.7/lib/rack/builder.rb:55:in initialize'
53: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/rack-2.0.7/lib/rack/builder.rb:55:in
instanceeval'
52: from config.ru:3:in block in <main>'
51: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:48:in
requirerelative'
50: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in require'
49: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:257:in
loaddependency'
48: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in block in require'
47: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:30:in
require'
46: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:21:in requirewithbootsnaplfi'
45: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/loadedfeaturesindex.rb:92:in
register'
44: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in block in requirewithbootsnaplfi'
43: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in
require'
42: from /Users/matrix/blog/config/environment.rb:5:in <main>'
41: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/application.rb:361:in
initialize!'
40: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/initializable.rb:60:in runinitializers'
39: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:205:in
tsorteach'
38: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:226:in tsorteach'
37: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in
eachstronglyconnectedcomponent'
36: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in call'
35: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:347:in
each'
34: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:349:in block in eachstronglyconnectedcomponent'
33: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:431:in
eachstronglyconnectedcomponentfrom'
32: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:350:in block (2 levels) in eachstronglyconnectedcomponent'
31: from /Users/matrix/.rvm/rubies/ruby-2.6.3/lib/ruby/2.6.0/tsort.rb:228:in
block in tsorteach'
30: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/initializable.rb:61:in block in runinitializers'
29: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/initializable.rb:32:in
run'
28: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/railties-5.2.3/lib/rails/initializable.rb:32:in instanceexec'
27: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/web-console-3.7.0/lib/webconsole/railtie.rb:11:in
block in class:Railtie'
26: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in require'
25: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:257:in
loaddependency'
24: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in block in require'
23: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:30:in
require'
22: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:21:in requirewithbootsnaplfi'
21: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/loadedfeaturesindex.rb:92:in
register'
20: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in block in requirewithbootsnaplfi'
19: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in
require'
18: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bindex-0.7.0/lib/bindex.rb:1:in <main>'
17: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:48:in
requirerelative'
16: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in require'
15: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:257:in
loaddependency'
14: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in block in require'
13: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:30:in
require'
12: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:21:in requirewithbootsnaplfi'
11: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/loadedfeaturesindex.rb:92:in
register'
10: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in block in requirewithbootsnaplfi'
9: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in
require'
8: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bindex-0.7.0/lib/skiptrace.rb:7:in <main>'
7: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in
require'
6: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:257:in loaddependency'
5: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/activesupport-5.2.3/lib/activesupport/dependencies.rb:291:in
block in require'
4: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:30:in require'
3: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:21:in
requirewithbootsnaplfi'
2: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/loadedfeaturesindex.rb:92:in register'
1: from /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in
block in requirewithbootsnaplfi'
/Users/matrix/.rvm/gems/ruby-2.6.3/gems/bootsnap-1.4.4/lib/bootsnap/loadpathcache/coreext/kernelrequire.rb:22:in `require': incompatible library version - /Users/matrix/.rvm/gems/ruby-2.6.3/gems/bindex-0.7.0/lib/skiptrace/cruby.bundle (LoadError)*

Join the discussion

Want to stay up-to-date with Ruby on Rails?

Join 33,148+ developers who get early access to new tutorials, screencasts, articles, and more.

    We care about the protection of your data. Read our Privacy Policy.

    logo Created with Sketch.

    Ruby on Rails tutorials, guides, and screencasts for web developers learning Ruby, Rails, Javascript, Turbolinks, Stimulus.js, Vue.js, and more. Icons by Icons8

    © 2020 GoRails, LLC. All rights reserved.